<SCRIPT  language="vbscript" runat="server">
' Written by: Christoph Wille
' Last updated: 5/22/2001

' Constant declarations
Const Request_POST = 1
Const Request_GET = 2
Const Request_HEAD = 3

' Returns False if no error, True if error was handled
Function HandleError()
  	HandleError = False
  	If Err.Number <> 0 Then
    		HandleError = True
  	    Response.Write "<b>"
  	    If Err.Number >= 400 Then
  	        Response.Write "Server returned error: " & Err.Number & " " & err.description
  	    Else
  	        Response.Write "Component/WinInet error: " & Err.Description
  	    End If
  	    Response.Write "</b>"
  	    Response.End
  	End If
  	Err = 0
End Function

Function HandleErrorEx(ByVal bEndResponse)
  	HandleError = False
  	If Err.Number <> 0 Then
    		HandleError = True
  	    Response.Write "<b>"
  	    If Err.Number >= 400 Then
  	        Response.Write "Server returned error: " & Err.Number & " " & err.description
  	    Else
  	        Response.Write "Component/WinInet error: " & Err.Description
  	    End If
  	    Response.Write "</b>"
  	    If (bEndResponse) Then Response.End
  	End If
  	Err = 0
End Function
</SCRIPT>
